/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const COMMENTS = i18n.translate('xpack.cases.recentCases.commentsTooltip', {
  defaultMessage: 'Comments',
});

export const MY_RECENTLY_REPORTED_CASES = i18n.translate(
  'xpack.cases.recentCases.myRecentlyReportedCasesButtonLabel',
  {
    defaultMessage: 'My recently reported cases',
  }
);

export const NO_CASES = i18n.translate('xpack.cases.recentCases.noCasesMessage', {
  defaultMessage: 'No cases have been created yet. Put your detective hat on and',
});

export const NO_CASES_READ_ONLY = i18n.translate('xpack.cases.recentCases.noCasesMessageReadOnly', {
  defaultMessage: 'No cases have been created yet.',
});

export const RECENT_CASES = i18n.translate('xpack.cases.recentCases.recentCasesSidebarTitle', {
  defaultMessage: 'Recent cases',
});

export const RECENTLY_CREATED_CASES = i18n.translate(
  'xpack.cases.recentCases.recentlyCreatedCasesButtonLabel',
  {
    defaultMessage: 'Recently created cases',
  }
);

export const START_A_NEW_CASE = i18n.translate('xpack.cases.recentCases.startNewCaseLink', {
  defaultMessage: 'start a new case',
});

export const VIEW_ALL_CASES = i18n.translate('xpack.cases.recentCases.viewAllCasesLink', {
  defaultMessage: 'View all cases',
});

export const CASES_FILTER_CONTROL = i18n.translate('xpack.cases.recentCases.controlLegend', {
  defaultMessage: 'Cases filter',
});
